
%global commit 97d2850af13c339369093b78abe5265845d78220
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           linenoise
Version:        1.0
Release:    1%{?dist}
Summary:        Minimal replacement for readline
License:        BSD-2-Clause
URL:            https://github.com/antirez/linenoise
Source0:        https://github.com/antirez/linenoise/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
Patch0:         %{name}-build-shared-lib.patch
Patch1:         %{name}-symbol-visibility.patch
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires: make

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description
Linenoise is a replacement for the readline line-editing library with the goal 
of being smaller.

%description devel
This package contains files needed for developing software that uses
%{name}.

%prep
%setup -q -n %{name}-%{commit}
%patch0 -p1
%patch1 -p1

%build
LIBDIR="%{_libdir}" INCLUDEDIR="%{_includedir}" CFLAGS="%{optflags}" make %{?_smp_mflags}

%install
LIBDIR="%{_libdir}" INCLUDEDIR="%{_includedir}" CFLAGS="%{optflags}" make %{?_smp_mflags} DESTDIR="%{buildroot}" install

%files
%license LICENSE
%doc README.markdown
%{_libdir}/liblinenoise.so.*

%files devel
%doc example.c
%{_includedir}/linenoise.h
%{_libdir}/liblinenoise.so


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0-1
- initial build
